import { Observable } from 'rxjs/Observable';
import { HttpClient } from '../util/http.service';
import { Treeable } from '../treeable/shared/treeable.model';
export declare class FileSearchService {
    private httpClient;
    searchQuery: Observable<string>;
    private searchQuerySubject;
    constructor(httpClient: HttpClient);
    changeSearchQuery(query: string): void;
    getSearchQuery(): string;
    search(query: string): Observable<Treeable[]>;
    private extractDataFilter(res);
    private handleError(error);
}
