import { Treeable } from '../treeable/shared/treeable.model';
/**
 * Model object for the FileAsset Object in dotCMS.
 */
export declare class File extends Treeable {
    fileName: string;
    languageId: number;
    mimeType: string;
    modUserName: string;
    path: string;
    parent: string;
    constructor();
    /**
     * Convenience method to check the mimetype and so if it starts with image
     * @returns {boolean}
     */
    isImage(): boolean;
}
