import { Protocol } from './util/protocol';
import { DotcmsConfig } from './dotcms-config.service';
import { LoggerService } from './logger.service';
import { Observable } from 'rxjs/Rx';
import { CoreWebService } from './core-web.service';
export declare class SocketFactory {
    private dotcmsConfig;
    private loggerService;
    private coreWebService;
    private socket;
    constructor(dotcmsConfig: DotcmsConfig, loggerService: LoggerService, coreWebService: CoreWebService);
    createSocket(): Observable<Protocol>;
    clean(): void;
}
