/**
 * Encapsulate string utils methods.
 */
export declare class StringUtils {
    constructor();
    /**
     * Get from text, the line number (indexLine), null if it does not exists.
     * @param text
     * @param indexLine
     * @returns {string}
     */
    getLine(text: string, indexLine: number): string;
    /**
     * Get an string and return it camelcased, ex: "Hello World" > "helloWorld"
     * @param str
     * @returns {string}
     */
    camelize(str: any): string;
    /**
     * Return a string with the first char in uppercase
     *
     * @param {string} str
     * @returns {string}
     *
     * @memberof StringUtils
     */
    titleCase(str: string): string;
}
