import { Response, Request } from '@angular/http';
export declare const NETWORK_CONNECTION_ERROR = 1;
export declare const UNKNOWN_RESPONSE_ERROR = 2;
export declare const SERVER_RESPONSE_ERROR = 3;
export declare const CLIENTS_ONLY_MESSAGES: {
    1: string;
};
export declare class CwError {
    code: number;
    message: string;
    request: Request;
    response: Response;
    source: any;
    constructor(code: number, message: string, request?: Request, response?: Response, source?: any);
}
export interface ResponseError {
    response: Response;
    msg: string;
}
export declare function isSuccess(resp: Response): boolean;
export declare function hasContent(resp: Response): boolean;
