import { Protocol, QueryParams, Url } from './protocol';
import { LoggerService } from '../logger.service';
import { CoreWebService } from '../core-web.service';
export declare type QueryFuncBuilder = (data: any) => QueryParams;
export declare class LongPollingProtocol extends Protocol {
    private url;
    private coreWebService;
    private queryBuilder;
    private isClosed;
    constructor(url: Url, loggerService: LoggerService, coreWebService: CoreWebService, queryBuilder?: QueryFuncBuilder);
    start(queryParameters?: QueryParams): void;
    destroy(): void;
}
