import { SiteSelectorService } from './site-selector.service';
import { Site } from '../../core/treeable/shared/site.model';
import { SiteBrowserState } from '../../core/util/site-browser.state';
export declare class SiteSelectorComponent {
    private updateService;
    private siteSelectorService;
    sites: Site[];
    filteredHosts: Site[];
    host: Site;
    constructor(updateService: SiteBrowserState, siteSelectorService: SiteSelectorService);
    /**
     * Is called when a site is selected in the dropdown
     * @param event
     */
    siteSelected(event: any): void;
    /**
     * Is called as the user tyoes in the filtering select
     * @param event
     */
    filterHosts(event: any): void;
    /**
     * Is called when the user clicks to view all sites in the dropdown
     */
    handleDropdownClick(): void;
    private handleSiteResults(hosts, event?);
}
export declare class DotSiteSelectorModule {
}
