import { TreeNode } from 'primeng/components/common/api';
import { Observable } from 'rxjs';
import 'rxjs/add/operator/map';
import { SiteBrowserService } from '../../core/util/site-browser.service';
export declare class SiteTreetableService {
    private siteBrowserService;
    constructor(siteBrowserService: SiteBrowserService);
    /**
     * Returns the assets under a site/host
     * @param siteName
     * @returns {Observable<R>}
     */
    getAssetsUnderSite(siteName: String): Observable<TreeNode[]>;
    /**
     * Returns the assets under a folder
     * @param siteName
     * @param uri
     * @returns {Observable<R>}
     */
    getAssetsUnderFolder(siteName: String, uri: string): Observable<TreeNode[]>;
    private extractDataFilter(treeables);
}
