import { Headers, RequestOptions } from '@angular/http';
import { UserModel } from './shared/user.model';
import { LoggerService } from './logger.service';
export declare class ApiRoot {
    private loggerService;
    defaultSiteUrl: string;
    baseUrl: string;
    siteId: string;
    authUser: UserModel;
    authToken: string;
    hideFireOn: boolean;
    hideRulePushOptions: boolean;
    static createAuthToken(authUser: UserModel): string;
    static parseQueryParam(query: string, token: string): string;
    constructor(authUser: UserModel, loggerService: LoggerService);
    getDefaultRequestHeaders(): Headers;
    getDefaultRequestOptions(): RequestOptions;
    setBaseUrl(url?: any): void;
    private configureUser(query, user);
}
