import { Router } from '@angular/router';
import { LoginService } from './login.service';
export declare class DotRouterService {
    private router;
    private loginService;
    constructor(router: Router, loginService: LoginService);
    goToMain(): void;
    goToLogin(parameters?: any): void;
    goToURL(url: string): void;
    isPublicUrl(url: string): boolean;
    isFromCoreUrl(url: string): boolean;
    isRootUrl(url: string): boolean;
    gotoPortlet(portletId: string): void;
    goToForgotPassword(): void;
    goToNotLicensed(): void;
}
