/**
 * Created by oswaldogallango on 9/27/16.
 */
export declare class HttpRequestUtils {
    /**
     * Get a map with the url querystring parameters
     * @returns {Map<string, string>}
     */
    getQueryParams(): Map<string, string>;
    /**
     * Get a single parameter form the query string, null if does not exits.
     * it is based on the window.location.href.
     * @returns {string}
     */
    getQueryStringParam(name: string): string;
}
